'返回带路径文件的文件夹
'GetFilePathName(带路径文件) as  String  '
'返回文件夹包括反斜杠 \  或 /  或 :
Function GetFilePathName(szPath as String) as String  '
   Dim a as Integer
   a = InStrRev(szPath, Any "\/:")
   If a = 0 Then
      Function = szPath
   Else
      Function = Left(szPath, a)
   End If
End Function